# List all application stage transitions for an application ID. Returns a list of application stage transitions, ordered by latest-first for the provided application ID. The endpoint requires the `personio:recruiting:read` scope. > 🚧 Warning > > This endpoint is in beta, and may be subject to change. > Please report any bugs to [Help & Feedback](https://support.personio.de/hc/en-us/articles/5659436229277-Help-Feedback) section. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Recruiting (Beta)", "description": "Collection of endpoints to manage recruiting applications.", "version": "2.0.0" }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v2/recruiting/applications/{id}/stage-transitions": { "get": { "summary": "List all application stage transitions for an application ID.", "description": "Returns a list of application stage transitions, ordered by latest-first for the provided application ID.\nThe endpoint requires the `personio:recruiting:read` scope.\n\n> 🚧 Warning\n>\n> This endpoint is in beta, and may be subject to change.\n> Please report any bugs to [Help & Feedback](https://support.personio.de/hc/en-us/articles/5659436229277-Help-Feedback) section.", "tags": [ "Applications" ], "parameters": [ { "description": "ID of the application.", "in": "path", "name": "id", "schema": { "type": "string" }, "required": true, "example": "495039" }, { "description": "As this is a Beta endpoint, the Beta header must be provided with the value `true`.", "in": "header", "name": "Beta", "schema": { "type": "string", "example": "true" } } ], "x-path-examples": { "200 Retrieve application status changes by ID": { "value": "/v2/recruiting/applications/495039/stage-transitions" }, "404 Retrieve status changes for non-existing application": { "value": "/v2/recruiting/applications/id-that-does-not-exist/stage-transitions" } }, "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "type": "object", "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/ApplicationStageTransition" } }, "_meta": { "$ref": "#/components/schemas/Job/properties/_meta" } } }, "examples": { "200 Retrieve application status changes by ID": { "$ref": "#/components/examples/ApplicationStatusChangesResponse" } } } } }, "404": { "description": "Application not found.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/400/content/application~1problem%2Bjson/schema" }, "examples": { "404 Retrieve status changes for non-existing application": { "$ref": "#/components/examples/ResourceNotFound" } } } } } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "schemas": { "Stage": { "description": "Recruiting pipeline stage for application.", "type": "object", "required": [ "kind", "type" ], "properties": { "kind": { "type": "string", "description": "Recruiting stage type.", "enum": [ "custom", "system" ], "example": "system" }, "type": { "type": "string", "description": "The type of a recruiting stage.", "enum": [ "new", "screening", "interviews", "offer", "hired", "talent pool", "other", "unassigned", "rejected", "withdrawn" ], "example": "screening" }, "name": { "description": "The name of a custom recruiting stage. Relevant only for custom stages.", "type": "string" }, "id": { "type": "string", "description": "The unique identifier of a custom recruiting stage. Relevant only for custom stages.", "example": "234098" } } }, "ApplicationStageTransition": { "description": "The application status and stage transition record.", "type": "object", "properties": { "stage": { "$ref": "#/components/schemas/Stage" }, "entered_at": { "description": "Date-time when application entered stage.", "readOnly": true, "type": "object", "required": [ "date-time", "timezone" ], "properties": { "date-time": { "type": "string", "description": "Timestamp with UTC offset.", "format": "date-time" }, "timezone": { "type": "string", "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).", "example": "Europe/Berlin" } } } } }, "Job": { "description": "Recruiting job object.", "type": "object", "required": [ "id", "name", "company" ], "properties": { "id": { "description": "The unique identifier of a Job.", "type": "string", "readOnly": true, "example": "9823749" }, "department": { "$ref": "#/components/schemas/DepartmentRef" }, "company": { "$ref": "#/components/schemas/CompanyRef" }, "name": { "description": "Job title.", "readOnly": true, "type": "string", "example": "Software Developer" }, "category": { "$ref": "#/components/schemas/CategoryRef" }, "hiring_team": { "description": "List of hiring team members assigned to the job.", "type": "array", "items": { "$ref": "#/components/schemas/HiringTeamMember" } }, "created_at": { "description": "Creation date of a job.", "readOnly": true, "type": "object", "required": [ "date-time", "timezone" ], "properties": { "date-time": { "type": "string", "description": "Timestamp with UTC offset.", "format": "date-time" }, "timezone": { "type": "string", "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).", "example": "Europe/Berlin" } } }, "updated_at": { "description": "Last modification date of a job.", "readOnly": true, "type": "object", "required": [ "date-time", "timezone" ], "properties": { "date-time": { "type": "string", "description": "Timestamp with UTC offset.", "format": "date-time" }, "timezone": { "type": "string", "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).", "example": "Europe/Berlin" } } }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } } }, "examples": { "ResourceNotFound": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Resource not found", "detail": "There is no resource for the specified ID.", "type": "https://developer.personio.de/v2.0/page/public-api-error-codes#common.resource_not_found" } ] } }, "ApplicationStatusChangesResponse": { "value": { "_data": [ { "stage": { "kind": "custom", "name": "Big Boss Interview", "id": "234245", "type": "screening" }, "entered_at": { "date-time": "2024-03-12T23:23:00Z", "timezone": "UTC" } }, { "stage": { "kind": "system", "type": "offer" }, "entered_at": { "date-time": "2024-02-26T23:23:00Z", "timezone": "UTC" } }, { "stage": { "kind": "system", "type": "rejected" }, "entered_at": { "date-time": "2024-02-24T23:23:00Z", "timezone": "UTC" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/recruiting/applications/495039/status-changes" } } } } } } } } ```